genvalidity-property-1.0.0.0: Standard properties for functions on `Validity` types

Safe Haskell | None
Language | Haskell2010

Test.Validity.Relations.Reflexivity

Synopsis

- reflexiveOnElem :: (a -> a -> Bool) -> a -> Bool
- reflexivityOnGen :: Show a => (a -> a -> Bool) -> Gen a -> (a -> [a]) -> Property
- reflexivity :: (Show a, GenValid a) => (a -> a -> Bool) -> Property
- reflexivityOnArbitrary :: (Show a, Arbitrary a) => (a -> a -> Bool) -> Property

# Documentation

reflexiveOnElem Source #

Arguments

:: (a -> a -> Bool) | A relation
-> a | An element
-> Bool |

\[ Reflexive(\prec) \quad\equiv\quad \forall a: (a \prec a) \]

reflexivityOnGen :: Show a => (a -> a -> Bool) -> Gen a -> (a -> [a]) -> Property Source #

reflexivity :: (Show a, GenValid a) => (a -> a -> Bool) -> Property Source #

    reflexivity ((<=) :: Int -> Int -> Bool)

    reflexivity ((==) :: Int -> Int -> Bool)

    reflexivity ((>=) :: Int -> Int -> Bool)

    reflexivity (Data.List.isPrefixOf :: [Int] -> [Int] -> Bool)

    reflexivity (Data.List.isSuffixOf :: [Int] -> [Int] -> Bool)

    reflexivity (Data.List.isInfixOf :: [Int] -> [Int] -> Bool)

reflexivityOnArbitrary :: (Show a, Arbitrary a) => (a -> a -> Bool) -> Property Source #

    reflexivityOnArbitrary ((<=) :: Int -> Int -> Bool)

    reflexivityOnArbitrary ((==) :: Int -> Int -> Bool)

    reflexivityOnArbitrary ((>=) :: Int -> Int -> Bool)

    reflexivityOnArbitrary (Data.List.isPrefixOf :: [Int] -> [Int] -> Bool)

    reflexivityOnArbitrary (Data.List.isSuffixOf :: [Int] -> [Int] -> Bool)

    reflexivityOnArbitrary (Data.List.isInfixOf :: [Int] -> [Int] -> Bool)